Name:		trader
Version:	7.18
Release:	%mkrel 1
Summary:	A simple game of interstellar trading
License:	GPLv3+
Group:		Games/Strategy
Url:		https://www.zap.org.au/projects/trader/
Source0:	https://ftp.zap.org.au/pub/trader/unix/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	pkgconfig(ncursesw)

%description
Star Traders is a simple game of interstellar trading, where the objective
is to create companies, buy and sell shares, borrow and repay money, in
order to become the wealthiest player (the winner).

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{_metainfodir}/%{name}.appdata.xml


%changelog
* Sat Aug 06 2022 wally <wally> 7.18-1.mga9
+ Revision: 1875570
- new version 7.18
- move binaries to %%_gamesbindir
- build with ncursesw for UTF-8 support

* Fri Mar 18 2022 umeabot <umeabot> 7.16-2.mga9
+ Revision: 1797539
- Mageia 9 Mass Rebuild

* Sat Mar 13 2021 solbu <solbu> 7.16-1.mga9
+ Revision: 1701894
- New release: 7.16

* Wed Feb 19 2020 umeabot <umeabot> 7.14-2.mga8
+ Revision: 1543007
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 09 2020 daviddavid <daviddavid> 7.14-1.mga8
+ Revision: 1477364
- new version: 7.14

* Thu Nov 14 2019 daviddavid <daviddavid> 7.13-2.mga8
+ Revision: 1459996
- update URL and Source URL (mga#25695)

* Wed Nov 13 2019 solbu <solbu> 7.13-1.mga8
+ Revision: 1459914
- New release: 7.13

* Sun Sep 23 2018 umeabot <umeabot> 7.12-2.mga7
+ Revision: 1301449
- Mageia 7 Mass Rebuild

* Fri May 18 2018 daviddavid <daviddavid> 7.12-1.mga7
+ Revision: 1230284
- new version: 7.12

* Tue Jun 27 2017 akien <akien> 7.11-1.mga6
+ Revision: 1108576
- Version 7.11 (mga#21019)

* Mon Jan 18 2016 daviddavid <daviddavid> 7.7-2.mga6
+ Revision: 925281
- switch to %%configure2_5x to fix build

* Fri Aug 21 2015 solbu <solbu> 7.7-1.mga6
+ Revision: 867336
- New version: 7.7

* Wed Oct 15 2014 umeabot <umeabot> 7.6-3.mga5
+ Revision: 745959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.6-2.mga5
+ Revision: 689939
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 solbu <solbu> 7.6-1.mga5
+ Revision: 665839
- New version

* Sun Jun 29 2014 solbu <solbu> 7.5-1.mga5
+ Revision: 641432
- New version

* Tue Oct 22 2013 umeabot <umeabot> 7.4-5.mga4
+ Revision: 541394
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 solbu <solbu> 7.4-4.mga4
+ Revision: 495839
- Rebuild for ncurses/tinfo split

* Mon Jan 14 2013 umeabot <umeabot> 7.4-3.mga3
+ Revision: 384730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 solbu <solbu> 7.4-2.mga3
+ Revision: 311106
- Don't ship COPYING

* Sun Oct 28 2012 solbu <solbu> 7.4-1.mga3
+ Revision: 311098
- Initial mageia package

